
/* Basic HTTP client. */

#ifndef HTTPCLIENT_H

#define VERSIONINFO_1	1
#define HTTPCLIENT_H

#define DLLEXPORT __declspec(dllexport)

/* structure returned from requesting an http document */
typedef struct {
  char *HttpHeader ;    /* http header returned from server, NULL on comms error */
  void *Data ;          /* document returned from server */
  unsigned long Size ;  /* size of document returned. */
    } HttpDocumentType ;

/* request http document:
  Entry:
    Host    - hostname or ip of webserver
    DocName - document (file) to retrieve, NULL for default index page
    Proxy   - optional proxy server, NULL if no proxy
    Port    - tcp port of server - the proxy if used or the host server (0=default=80)
  Return:
    Document structure */
DLLEXPORT HttpDocumentType __stdcall  GetHttpDoc ( char *Host,
                                                   char *DocName,
                                                   char *Proxy,
                                                   int   Port )  ;

/* parse http doc for errors:
  Entry:
   HttpDoc - Document structure from GetHttpDoc
  Exit:
   ErrorCode - HTTP/1.0 Error code
  Return:
   TRUE on no error ie. requested document has been returned
   FAKSE on error or warning */
DLLEXPORT int __stdcall ParseHttpErrors ( HttpDocumentType HttpDoc,
                                           unsigned long    *ErrorCode ) ;

/* free http document */
DLLEXPORT void __stdcall FreeHttpDoc ( HttpDocumentType HttpDoc ) ;


DLLEXPORT int __stdcall FtpUploadFile ( char *Host, 
                                         char *SrcPath,
                                         char *DstPath,
                                         char *UserName,
                                         char *PassWord,
                                         int Port,
                                         int IsBinary ) ;

DLLEXPORT int __stdcall FtpDownloadFile ( char *Host,
                                           char *SrcPath,
                                           char *DstPath,
                                           char *UserName,
                                           char *PassWord,
                                           int Port,
                                           int IsBinary ) ;

#endif
